{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_ACADEMIE; 
            externalType = VARCHAR2; 
            name = cAcademie; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = C_DEPARTEMENT; 
            externalType = VARCHAR2; 
            name = cDepartement; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_REGION; 
            externalType = VARCHAR2; 
            name = cRegion; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_DEB_VAL; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_FIN_VAL; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_DEPARTEMENT; 
            externalType = VARCHAR2; 
            name = lcDepartement; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_DEPARTEMENT; 
            externalType = VARCHAR2; 
            name = llDepartement; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cDepartement); 
    className = EOGenericRecord; 
    classProperties = (
        cDepartement, 
        lcDepartement, 
        llDepartement, 
        dDebVal, 
        dFinVal, 
        dCreation, 
        dModification, 
        cRegion, 
        cAcademie
    ); 
    externalName = GRHUM.DEPARTEMENT; 
    fetchSpecificationDictionary = {}; 
    name = GrhumDepartement; 
    primaryKeyAttributes = (cDepartement); 
}
